Deskhero Developer Hub
Back to deskhero.com
Scrape domains

List items

Lists the scraped pages of a domain, paginated. Optionally filtered by status and a URL search.

GET /api/{tenant:minlength(2)}/v{version:apiVersion}/scrape_domains/{id}/items
Authorisation
Minimum role: USER

Request arguments

Name Type Source
idInt32
takeInt32Query
pageInt32Query
statusENUM scraped_item_statusQuery
searchStringQuery
sort_by_keyStringQuery
sort_orderStringQuery
Request body example

Response

Status
200 (OK)
Type
DTO_scraped_items_page
Wrapper
DTO_response_wrap
Other statuses
400 (BadRequest), 403 (Forbidden)
Response body example
DTO_scraped_items_page
NameTypeReadOnlyDescription
itemsDTO_scraped_item[]Items
total_countInt64Total matching items (for pagination)
DTO_scraped_item
NameTypeReadOnlyDescription
idInt32ReadOnlyId
urlStringReadOnlyUrl
titleStringReadOnlyTitle
statusENUM scraped_item_statusReadOnlyStatus
languageStringReadOnlyDetected content language (html lang / hreflang)
duplicate_of_urlStringReadOnlyWhen status is IGNORED_DUPLICATE, the URL of the page that was kept instead
createdDateTimeReadOnlyCreated
last_crawledDateTime (nullable)ReadOnlyLast crawled
last_crawled_status_codeInt32 (nullable)ReadOnlyLast crawled status code
ENUM scraped_item_status
ValueNameDescription
0UNKNOWNUNKNOWN
1TO_BE_CRAWLEDTO_BE_CRAWLED
2QUEUEDQUEUED
3SCRAPED_SUCCESSSCRAPED_SUCCESS
4SCRAPED_ERRORSCRAPED_ERROR
5IGNORED_DUPLICATEIGNORED_DUPLICATE
6IGNORED_FILTEREDIGNORED_FILTERED

Generated Aug 4, 2026 18:37